<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$fsociety = $_SESSION["society_" . $dbname];
$success = false;
$maindb = 'pax';

// $fseries = $_SESSION["series_" . $dbname];
// $keycond = " and `series`='$fseries'";

$file = "fit_ent.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `date` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `visitingfor` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `fullname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `mobile` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `agname` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `date` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `visitingfor` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `fullname` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `mobile` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `agname` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `date`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `visitingfor`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `fullname`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `mobile`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `agname`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

mysqli_query($conn, "Create temporary table paxsrch 
                       SELECT a.date,a.visitingfor, a.mobile, a.vouchno, concat(a.surname, ' ' , a.name, ' ' , a.midname) as fullname,
                              a.tiktamt, a.hotelinramt, a.foodinramt, a.laundinramt, a.transinramt, a.visaamt, b.name as agname
                              FROM $maindb a LEFT JOIN accmast b ON a.agent = b.accode 
                              WHERE a.vouchno != ''")or die(mysqli_error($conn));


$query = "SELECT *, DATE_FORMAT(`date`, '%d-%m-%Y') as `date` FROM `paxsrch` WHERE vouchno != '' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
$entries = "";
while ($r = mysqli_fetch_assoc($result)) {


    if ($r['tiktamt'] > 0) {
        $tkentry = "TK /";
    }else{
        $tkentry = "";
    }

    if ($r['hotelinramt'] > 0) {
        $hentry = "H /";
    }else{
        $hentry = "";
    }

    if ($r['foodinramt'] > 0) {
        $fentry = "F /";
    }else{
        $fentry = "";
    }

    if ($r['laundinramt'] > 0) {
        $lentry = "L /";
    }else{
        $lentry = "";
    }

    if ($r['transinramt'] > 0) {
        $trentry = "TR /";
    }else{
        $trentry = "";
    }

    if ($r['visaamt'] > 0) {
        $vrentry = "V ";
    }else{
        $vrentry = "";
    }

    $entries = $tkentry . " " . $hentry . " " . $fentry . " " . $lentry . " " . $trentry . " " . $vrentry;


    $rows[] = ['success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'vouchno' => $r['vouchno'],
        'vouchdt' => $r['date'],
        'name' => $r['fullname'],
        'visitingfor' => $r['visitingfor'],
        'mobile' => $r['mobile'],
        'agname' => $r['agname'],
        'entries' => $entries,
        'tkentry' => $r['tiktamt'],
        'action' => "$file?mode=edit&paxid=$r[vouchno]"
    ];
    $ctr++;
}

header("Content-type: application\json");
echo json_encode($rows);
?>